Migrate Elasticsearch resource to use ILM
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/elasticsearch/{ref_id}/_enable-ilm
Migrates the specified Elasticsearch resource to use ILM.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
validate_onlyboolean · default: false When
true, does not enable ILM but returns warnings if any applications may lose availability during ILM migration.
Request
Information to build the ILM policies that will be created
-
index_patternsIndexPatternrequired -
A locally-unique user-specified id for Kibana
-
index_patternstringrequired -
Index pattern to which the ILM policy will be applied.
-
policy_namestringrequired -
Name of the policy to create
-
node_attributesmap string to string -
Defines the Elasticsearch node attributes for the warm element of the topology
Responses
Standard response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response